> For the complete documentation index, see [llms.txt](https://doc.youverify.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://doc.youverify.co/api-reference/api-reference/case-management/retrieve-all-cases.md).

# Retrieve all Cases

This endpoint allows you to retrieve all case

<mark style="color:blue;">`GET`</mark> `{{baseurl}}/v2/api/cases`

#### Headers

| Name                                    | Type   | Description      |
| --------------------------------------- | ------ | ---------------- |
| token<mark style="color:red;">\*</mark> | String | API secret token |

#### Parameter

<table><thead><tr><th width="238.2333984375">Field</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>next</td><td>String</td><td>Cursor for next page in pagination</td></tr><tr><td>prev</td><td>String</td><td>Cursor for previous page in pagination</td></tr><tr><td>sortField</td><td>String</td><td>Field to sort by</td></tr><tr><td>sortOrder</td><td>String</td><td>Sort order, either 'asc' or 'desc', sortField must be set for this to take effect</td></tr><tr><td>searchTerm</td><td>String</td><td>Search query</td></tr><tr><td>limit</td><td>String</td><td><p>number of cases to return</p><p>Default value: <mark style="color:$danger;"><code>20</code></mark></p></td></tr><tr><td>startDate</td><td>String</td><td>cases filter start date</td></tr><tr><td>endDate</td><td>String</td><td>cases filter end date</td></tr><tr><td>status</td><td>String</td><td>approval state of the entity</td></tr><tr><td>entityId</td><td>String</td><td>Entity Id to filter cases by</td></tr><tr><td>investigatorId</td><td>String</td><td>Id of the investigator to filter cases by</td></tr></tbody></table>

{% tabs %}
{% tab title="Retrieve all Cases Success Response" %}

```json
{
        "success": true,
        "statusCode": 200,
        "message": "Cases retrieved successfully!",
        "data": {
            "docs": [
                {
                    "caseTitle": "KYC data Mismatch",
                    "status": "Opened",
                    "caseType": "KYC",
                    "severity": "High",
                    "parentId": null,
                    "businessId": "681d7b30cd275833cb856ff8",
                    "entityId": "6880a452495dce07d2f7ff5a",
                    "description": "The case was created because there's a complete mismatch between the NIN and BVN data of the client.",
                    "evidences": [],
                    "linkedIssues": [
                        {
                            "issueId": "6880f7d527309cf76eb5db2e",
                            "issueType": "Activity",
                            "dateLinked": null,
                            "status": "Mismatch"
                        }
                    ],
                    "caseStage": [
                        {
                            "stage": "Investigation",
                            "level": "LV1",
                            "investigatorId": "681d7b32cd275833cb856fff",
                            "investigatorName": "Jaymee Bottomore",
                            "notes": [],
                            "isReassigned": false,
                            "previousInvestigators": [],
                            "tasks": [
                                {
                                    "task": "Investigate KYC verification",
                                    "isCompleted": false
                                },
                                {
                                    "task": "Gather evidences, and add them to the case.",
                                    "isCompleted": false
                                },
                                {
                                    "task": "Confirm if entities are same and why there's a mismatch",
                                    "isCompleted": false
                                }
                            ],
                            "_id": "68945a37a52eb93b87f827fa"
                        }
                    ],
                    "activities": [
                        {
                            "event": "Case Created",
                            "activity": "Case created by Jaymee Bottomore",
                            "createdBy": "Jaymee Bottomore",
                            "userId": "681d7b30cd275833cb856ff8",
                            "eventDateTime": "2025-08-07T07:48:07.145Z",
                            "_id": "68945a37a52eb93b87f827fb"
                        }
                    ],
                    "isDeleted": false,
                    "comments": [],
                    "createdAt": "2025-08-07T07:48:07.165Z",
                    "lastModifiedAt": "2025-08-07T07:48:07.165Z",
                    "_createdAt": "2025-08-07T08:48:077+01:00",
                    "_lastModifiedAt": "2025-08-07T08:48:077+01:00",
                    "id": "cas_68945a37a52eb93b87f827f9"
                },
                // ... more cases
            ],
            "pagination": {
                "type": "cursor",
                "perPage": 20,
                "nextPage": null,
                "prevPage": null,
                "hasNextPage": false,
                "hasPrevPage": false
            },
            "searchTerms": {}
        },
        "links": []
    }
```

{% endtab %}

{% tab title="Untitled" %}

```json
{
  "success": false,
  "statusCode": 404,
  "message": "You have attempted to get a resource that does not exist.",
  "name": "ResourceNotFoundError",
  "data": {}
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://doc.youverify.co/api-reference/api-reference/case-management/retrieve-all-cases.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
